import javax.microedition.io.*;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

import java.io.*;

public class HTTPTest extends MIDlet implements CommandListener {
 
  private TextBox t;
  private Display display;
  private TextField turl;
  private Form main;
  private Command enviar;
  private Command salir;
  
  public HTTPTest() {
     display = Display.getDisplay(this);
     turl = new TextField("Introduzca URL: ", "", 80, TextField.ANY);
     enviar = new Command("Conectar", Command.SCREEN, 0);
     salir = new Command("Salir", Command.EXIT, 0);
     main = new Form("Ejemplo HTTP");
     main.append(turl);
     main.addCommand(enviar);
     main.addCommand(salir);
     main.setCommandListener(this);
     }
  
  public void startApp() throws MIDletStateChangeException {  
     display.setCurrent(main);
  }
  
  public void pauseApp() {}
  
  public void destroyApp(boolean unconditional) {
  	t = null;
  	display = null;
  	turl = null;
  	main = null;
  	enviar = null;
  	salir = null;
  }
  
  public void commandAction(Command c, Displayable d) {
  	
  	if (c==salir) {
  		destroyApp(true);
  		notifyDestroyed();
  	} else if (c == enviar) {
  		Thread hilo = new Thread() {
  			public void run() {
  				try {
  				   download(turl.getString());
  				} catch (IOException ioe) {
  					System.out.println("No se puede establecer una conexin");
  					ioe.printStackTrace();
  				}
  			}
  		};
  		hilo.start();
  		
  	}
  }
  
  private void download (String url) throws IOException {
    StringBuffer sb = new StringBuffer();
    InputStream is = null;
    HttpConnection c = null;
    TextBox t = null;
    try {
      long len = 0 ;
      int ch = 0;
      c = (HttpConnection)Connector.open(url);
      System.out.println("conectado ...");
      is = c.openInputStream();
      while ((ch = is.read()) != -1) {
        sb.append((char)ch); 
      }
      System.out.println("sb =  " + sb.toString());
      t = new TextBox("Hola...", sb.toString(), 1024, 0);
     
    } finally {
        if (is != null) is.close();
        if (c != null) c.close();
    }
    display.setCurrent(t);
  }

}